Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Filter_Builder Class Reference

Abstract base class for the filter builders. More...

`#include <EC_Filter_Builder.h>`

Inheritance diagram for TAO_EC_Filter_Builder:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Filter_Builder (void)
| destructor...
virtual TAO_EC_Filter * | build (TAO_EC_ProxyPushSupplier *supplier, RtecEventChannelAdmin::ConsumerQOS &qos ACE_ENV_ARG_DECL) const=0

## Detailed Description

Abstract base class for the filter builders.

The creation of a filter hierarchy is controlled by a Filter_Builder. The relationship between TAO_EC_Filter and TAO_EC_Filter_Builder follows the "Builder Pattern" (Gamma et al.)

## Constructor & Destructor Documentation

TAO_EC_Filter_Builder::~TAO_EC_Filter_Builder | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

virtual TAO_EC_Filter* TAO_EC_Filter_Builder::build | ( | TAO_EC_ProxyPushSupplier * | supplier,
|  | RtecEventChannelAdmin::ConsumerQOS &qos | ACE_ENV_ARG_DECL
| ) | const`[pure virtual]`

| Create the filter, the caller must assume ownership of the filter returned. Implemented in TAO_EC_Basic_Filter_Builder, TAO_EC_Null_Filter_Builder, TAO_EC_Kokyu_Filter_Builder, TAO_EC_Prefix_Filter_Builder, and TAO_EC_Sched_Filter_Builder.

The documentation for this class was generated from the following files:

- EC_Filter_Builder.h
- EC_Filter_Builder.cpp